// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *                     		
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors 
 */
// </header>
package fr.unicaen.openmap.dataStorage.gml.in;

public class GMLDtd {

//    public static String DATA = "themamap:data";
//    public static String DATA_OMPG = "ompg:data";
    public static String DATA_VALUE = "themamap:dataValue";
    public static String DATA_VALUE_OMPG = "ompg:dataValue";
    public static String DATA_NAME = "themamap:dataName";
    public static String DATA_NAME_OMPG = "ompg:dataName";
    public static String FEATURE_MEMBER = "gml:featureMember";
    public static String DS_FEATURE = "gml:DataStorageFeature";
    public static String MUTLI_POLYGON = "gml:MultiPolygon";
    public static String GEOMETRY_PROPERTY = "themamap:themamapGeometryProperty";
    public static String GEOMETRY_PROPERTY_OMPG = "ompg:themamapGeometryProperty";
    public static String CENTROID = "centroid";
    public static String POINT = "gml:Point";
    public static String POS = "gml:pos";
    public static String UPPER_LEFT = "upperleft";
    public static String LOWER_RIGHT = "lowerright";
    public static String LINE_STRING = "gml:LineString";
    public static String POS_LIST = "gml:posList";

    /*public static String LINESTRING = "LineString";

    public static String POLYGON = "Polygon";

    public static String OUTER_BOUDARY_IS = "outerBoundaryIs";

    public static String LinearRing = "LinearRing";*/
    public static String COORDINATES = "gml:coordinates";
}
