// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *                     		
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors 
 */
// </header>
package fr.unicaen.openmap.gui;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Graphics;

import javax.swing.BorderFactory;
import javax.swing.BoxLayout;

import fr.unicaen.openmap.util.Util;

public class MiniNavigatePanel extends NavigatePanel{
	
	 public MiniNavigatePanel() {
		 super();
		 setOpaque(false);
		 Dimension dim = new Dimension(10,10);
		 seButton.setIcon(Util.loadIcon("minicorner.png"));
		 seButton.setMaximumSize(dim);
		 seButton.setPreferredSize(dim);
		 sButton.setIcon(Util.loadIcon("minibottom.png"));
		 sButton.setMaximumSize(dim);
		 sButton.setPreferredSize(dim);
		 swButton.setIcon(Util.loadIcon("minicorner.png"));
		 swButton.setMaximumSize(dim);
		 swButton.setPreferredSize(dim);
		 wButton.setIcon(Util.loadIcon("minileft.png"));
		 wButton.setMaximumSize(dim);
		 wButton.setPreferredSize(dim);
		 nwButton.setIcon(Util.loadIcon("minicorner.png"));
		 nwButton.setMaximumSize(dim);
		 nwButton.setPreferredSize(dim);
		 nButton.setIcon(Util.loadIcon("minitop.png"));
		 nButton.setMaximumSize(dim);
		 nButton.setPreferredSize(dim);
		 neButton.setIcon(Util.loadIcon("minicorner.png"));
		 neButton.setMaximumSize(dim);
		 neButton.setPreferredSize(dim);
		 eButton.setIcon(Util.loadIcon("miniright.png"));
		 eButton.setMaximumSize(dim);
		 eButton.setPreferredSize(dim);
		 cButton.setIcon(Util.loadIcon("minicenter.png"));
		 cButton.setMaximumSize(dim);
		 cButton.setPreferredSize(dim);
		 setPreferredSize(new Dimension(50,50));
	 }
	 
	 public void paintComponent(Graphics arg0) {
	        arg0.drawImage(Util.loadIcon("minicircle.png").getImage(),0,0,null);
	    }
	

}
