/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.unicaen.openmap.layer.thematicDataDisplayLayer.gui;

import java.util.HashMap;
import java.util.Map;

/**
 *Manage thematic collapsable legend panels. Used when legend's GUI is rebuilt to open/close
 * panels
 * @author jchauvea
 */
public class LegendGUIManager implements CollapsablePanelsListener{


    public enum state { open , close };

    private Map<String, state> stateLegendPanels;

    public LegendGUIManager(){
        stateLegendPanels = new HashMap<String, state>();
    }
    
    public void panelOpened(String tvName){
        stateLegendPanels.put(tvName, state.open);
    }

    public void panelClosed(String tvName){
        stateLegendPanels.put(tvName, state.close);
    }

    public boolean isOpened(String tvName){
        return (stateLegendPanels.get(tvName) == null ||stateLegendPanels.get(tvName) == state.open);
    }


}
