/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.unicaen.openmap.layer.utils;

import com.bbn.openmap.Layer;
import fr.unicaen.openmap.layer.thematicDataDisplayLayer.ThematicDataDisplayLayer;
import fr.unicaen.openmap.layer.thematicDataDisplayLayer.visu.Thematic;
import java.io.IOException;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Map;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author jchauvea
 */
public class LayerExporter {

    public static void exportLayer(ThematicDataDisplayLayer layer, PrintStream ps){

        Properties properties = layer.getProperties(new Properties());
        //print layer name as value for the openmap.layers property
        ps.println(LayerLoader.KEY_LAYERS+" = " +layer.getPropertyPrefix());
        //layer class
        ps.println(layer.getPropertyPrefix()+"."+LayerLoader.KEY_CLASS+" = " +layer.getClass());
        ArrayList<Thematic> tvs = layer.getThematicArray();
        for (Map.Entry<Object, Object> currentEntry : properties.entrySet()){
            ps.println(currentEntry.getKey() +" = "+currentEntry.getValue());

    }
    }

}
