@echo off
rem openmat.bat adapted for themamap

rem This will launch the OpenMap application
rem YOU MUST EDIT THE SETTINGS IN THIS FILE TO MATCH YOUR CONFIGURATION

rem Java Virtual Machine
rem CHANGE THIS TO POINT TO YOUR JAVA INSTALLATION IF JAVA ISN'T IN YOUR PATH
set JAVABIN=java.exe

rem DIRECTORY WHERE YOU DOWNLOADED THEMAMAP CODE (better not have space in the name)
set THEMAMAP_HOME=C:\themamap-1.0.5
rem YOU SHOULD NOT NEED TO CHANGE THE FOLLOWING CLASSPATH
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\lib\themamap.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\openmap\lib\openmap.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\swingx\lib\swingx-1.0.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\swingx\lib\swingx-beaninfo-1.0.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\postgis\lib\postgis.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\postgresql\lib\postgresql.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-swing.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-svggen.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-util.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-awt-util.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-gvt.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-bridge.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-ext.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-css.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-dom.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-extension.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-gui-util.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-parser.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-rasterizer.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-script.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-svg-dom.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-transcoder.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\batik-1.7\lib\batik-xml.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\jfree\lib\jcommon-1.0.14.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\jfree\lib\jfreechart-1.0.11.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\antlr\lib\antlr-runtime-3.2.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\ext\jts\jts-1.11-a.jar;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\share\;
set CLASSPATH=%CLASSPATH%;%THEMAMAP_HOME%\properties\;

rem OK, now run OpenMap
%JAVABIN% -Xmx1024M -Ddebug.i18n.create  -Ddebug.showprogress -Dopenmap.configDir=%THEMAMAP_HOME%  fr.unicaen.openmap.app.ThemaMap

