// $ANTLR 3.2 Sep 23, 2009 12:02:23 ExprGrammar.g 2010-08-02 18:41:00

    package  fr.unicaen.openmap.dataStorage.expr;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;


import org.antlr.runtime.tree.*;

/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *                     		
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors 
 */
public class ExprGrammarParser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "LBRACE", "RBRACE", "LPAREN", "RPAREN", "DOT", "SEMIC", "COMMA", "LT", "GT", "LTE", "GTE", "EQ", "NEQ", "NOTEQ", "ADD", "SUB", "MUL", "MOD", "AND", "OR", "XOR", "INV", "DIV", "LIKE", "REGEXP", "ARGS", "LIST", "NEG", "POS", "DATACOLUMNNAME", "OMCOLUMNNAME", "TRUE", "FALSE", "INT", "FLOAT", "FUNCTION_N_TO_N", "FUNCTION_G_TO_N", "FUNCTION_G_G_TO_N", "FUNCTION_N_N_TO_G", "FUNCTION_G_N_TO_G", "FUNCTION_G_G_TO_G", "STRING", "FUNCTION_S_SPLUS_TO_S", "FUNCTION_S_N1OR2_TO_S", "FUNCTION_S_TO_N", "FUNCTION_S_TO_S", "NOT", "LAND", "LOR", "IF", "ID", "EXPONENT", "COMMENT", "WS", "ESC_SEQ", "HEX_DIGIT", "UNICODE_ESC", "OCTAL_ESC"
    };
    public static final int LOR=52;
    public static final int EXPONENT=55;
    public static final int LT=11;
    public static final int MOD=21;
    public static final int FUNCTION_S_N1OR2_TO_S=47;
    public static final int GTE=14;
    public static final int LBRACE=4;
    public static final int OCTAL_ESC=61;
    public static final int FUNCTION_G_G_TO_N=41;
    public static final int SUB=19;
    public static final int FLOAT=38;
    public static final int NOT=50;
    public static final int ID=54;
    public static final int AND=22;
    public static final int EOF=-1;
    public static final int LTE=13;
    public static final int LPAREN=6;
    public static final int IF=53;
    public static final int RPAREN=7;
    public static final int ESC_SEQ=58;
    public static final int COMMA=10;
    public static final int POS=32;
    public static final int FUNCTION_S_TO_N=48;
    public static final int DATACOLUMNNAME=33;
    public static final int REGEXP=28;
    public static final int ARGS=29;
    public static final int EQ=15;
    public static final int COMMENT=56;
    public static final int DOT=8;
    public static final int OMCOLUMNNAME=34;
    public static final int LIKE=27;
    public static final int ADD=18;
    public static final int XOR=24;
    public static final int RBRACE=5;
    public static final int INV=25;
    public static final int UNICODE_ESC=60;
    public static final int FUNCTION_G_N_TO_G=43;
    public static final int FUNCTION_G_TO_N=40;
    public static final int HEX_DIGIT=59;
    public static final int FUNCTION_S_TO_S=49;
    public static final int INT=37;
    public static final int LIST=30;
    public static final int MUL=20;
    public static final int TRUE=35;
    public static final int NOTEQ=17;
    public static final int WS=57;
    public static final int NEQ=16;
    public static final int OR=23;
    public static final int NEG=31;
    public static final int FUNCTION_N_N_TO_G=42;
    public static final int GT=12;
    public static final int FUNCTION_G_G_TO_G=44;
    public static final int FUNCTION_S_SPLUS_TO_S=46;
    public static final int DIV=26;
    public static final int SEMIC=9;
    public static final int FUNCTION_N_TO_N=39;
    public static final int FALSE=36;
    public static final int LAND=51;
    public static final int STRING=45;

    // delegates
    // delegators


        public ExprGrammarParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public ExprGrammarParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        
    protected TreeAdaptor adaptor = new CommonTreeAdaptor();

    public void setTreeAdaptor(TreeAdaptor adaptor) {
        this.adaptor = adaptor;
    }
    public TreeAdaptor getTreeAdaptor() {
        return adaptor;
    }

    public String[] getTokenNames() { return ExprGrammarParser.tokenNames; }
    public String getGrammarFileName() { return "ExprGrammar.g"; }


    public static class arg_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "arg"
    // ExprGrammar.g:106:1: arg : value ;
    public final ExprGrammarParser.arg_return arg() throws RecognitionException {
        ExprGrammarParser.arg_return retval = new ExprGrammarParser.arg_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        ExprGrammarParser.value_return value1 = null;



        try {
            // ExprGrammar.g:107:5: ( value )
            // ExprGrammar.g:107:7: value
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_value_in_arg534);
            value1=value();

            state._fsp--;

            adaptor.addChild(root_0, value1.getTree());

            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "arg"

    public static class args_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "args"
    // ExprGrammar.g:110:1: args : arg ( COMMA arg )* ;
    public final ExprGrammarParser.args_return args() throws RecognitionException {
        ExprGrammarParser.args_return retval = new ExprGrammarParser.args_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token COMMA3=null;
        ExprGrammarParser.arg_return arg2 = null;

        ExprGrammarParser.arg_return arg4 = null;


        CommonTree COMMA3_tree=null;

        try {
            // ExprGrammar.g:111:5: ( arg ( COMMA arg )* )
            // ExprGrammar.g:111:7: arg ( COMMA arg )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_arg_in_args552);
            arg2=arg();

            state._fsp--;

            adaptor.addChild(root_0, arg2.getTree());
            // ExprGrammar.g:111:11: ( COMMA arg )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==COMMA) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ExprGrammar.g:111:12: COMMA arg
            	    {
            	    COMMA3=(Token)match(input,COMMA,FOLLOW_COMMA_in_args555); 
            	    pushFollow(FOLLOW_arg_in_args558);
            	    arg4=arg();

            	    state._fsp--;

            	    adaptor.addChild(root_0, arg4.getTree());

            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "args"

    public static class value_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "value"
    // ExprGrammar.g:114:1: value : ( arithmeticExpression | geometry | list );
    public final ExprGrammarParser.value_return value() throws RecognitionException {
        ExprGrammarParser.value_return retval = new ExprGrammarParser.value_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression5 = null;

        ExprGrammarParser.geometry_return geometry6 = null;

        ExprGrammarParser.list_return list7 = null;



        try {
            // ExprGrammar.g:115:5: ( arithmeticExpression | geometry | list )
            int alt2=3;
            switch ( input.LA(1) ) {
            case LPAREN:
            case ADD:
            case SUB:
            case DATACOLUMNNAME:
            case TRUE:
            case FALSE:
            case INT:
            case FLOAT:
            case FUNCTION_N_TO_N:
            case FUNCTION_G_TO_N:
            case FUNCTION_G_G_TO_N:
            case STRING:
            case FUNCTION_S_SPLUS_TO_S:
            case FUNCTION_S_N1OR2_TO_S:
            case FUNCTION_S_TO_N:
            case FUNCTION_S_TO_S:
            case NOT:
            case IF:
                {
                alt2=1;
                }
                break;
            case OMCOLUMNNAME:
            case FUNCTION_N_N_TO_G:
            case FUNCTION_G_N_TO_G:
            case FUNCTION_G_G_TO_G:
                {
                alt2=2;
                }
                break;
            case LBRACE:
                {
                alt2=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 2, 0, input);

                throw nvae;
            }

            switch (alt2) {
                case 1 :
                    // ExprGrammar.g:115:7: arithmeticExpression
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_arithmeticExpression_in_value577);
                    arithmeticExpression5=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression5.getTree());

                    }
                    break;
                case 2 :
                    // ExprGrammar.g:116:7: geometry
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_geometry_in_value585);
                    geometry6=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry6.getTree());

                    }
                    break;
                case 3 :
                    // ExprGrammar.g:117:7: list
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_list_in_value593);
                    list7=list();

                    state._fsp--;

                    adaptor.addChild(root_0, list7.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "value"

    public static class list_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "list"
    // ExprGrammar.g:119:1: list : LBRACE ( list_content )? RBRACE -> ^( LIST list_content ) ;
    public final ExprGrammarParser.list_return list() throws RecognitionException {
        ExprGrammarParser.list_return retval = new ExprGrammarParser.list_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token LBRACE8=null;
        Token RBRACE10=null;
        ExprGrammarParser.list_content_return list_content9 = null;


        CommonTree LBRACE8_tree=null;
        CommonTree RBRACE10_tree=null;
        RewriteRuleTokenStream stream_RBRACE=new RewriteRuleTokenStream(adaptor,"token RBRACE");
        RewriteRuleTokenStream stream_LBRACE=new RewriteRuleTokenStream(adaptor,"token LBRACE");
        RewriteRuleSubtreeStream stream_list_content=new RewriteRuleSubtreeStream(adaptor,"rule list_content");
        try {
            // ExprGrammar.g:120:5: ( LBRACE ( list_content )? RBRACE -> ^( LIST list_content ) )
            // ExprGrammar.g:120:7: LBRACE ( list_content )? RBRACE
            {
            LBRACE8=(Token)match(input,LBRACE,FOLLOW_LBRACE_in_list610);  
            stream_LBRACE.add(LBRACE8);

            // ExprGrammar.g:120:14: ( list_content )?
            int alt3=2;
            int LA3_0 = input.LA(1);

            if ( (LA3_0==LBRACE||LA3_0==LPAREN||(LA3_0>=ADD && LA3_0<=SUB)||(LA3_0>=DATACOLUMNNAME && LA3_0<=NOT)||LA3_0==IF) ) {
                alt3=1;
            }
            switch (alt3) {
                case 1 :
                    // ExprGrammar.g:120:14: list_content
                    {
                    pushFollow(FOLLOW_list_content_in_list612);
                    list_content9=list_content();

                    state._fsp--;

                    stream_list_content.add(list_content9.getTree());

                    }
                    break;

            }

            RBRACE10=(Token)match(input,RBRACE,FOLLOW_RBRACE_in_list615);  
            stream_RBRACE.add(RBRACE10);



            // AST REWRITE
            // elements: list_content
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (CommonTree)adaptor.nil();
            // 120:35: -> ^( LIST list_content )
            {
                // ExprGrammar.g:120:38: ^( LIST list_content )
                {
                CommonTree root_1 = (CommonTree)adaptor.nil();
                root_1 = (CommonTree)adaptor.becomeRoot((CommonTree)adaptor.create(LIST, "LIST"), root_1);

                adaptor.addChild(root_1, stream_list_content.nextTree());

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;
            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "list"

    public static class list_content_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "list_content"
    // ExprGrammar.g:122:1: list_content : value ( COMMA value )* ;
    public final ExprGrammarParser.list_content_return list_content() throws RecognitionException {
        ExprGrammarParser.list_content_return retval = new ExprGrammarParser.list_content_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token COMMA12=null;
        ExprGrammarParser.value_return value11 = null;

        ExprGrammarParser.value_return value13 = null;


        CommonTree COMMA12_tree=null;

        try {
            // ExprGrammar.g:123:5: ( value ( COMMA value )* )
            // ExprGrammar.g:123:7: value ( COMMA value )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_value_in_list_content639);
            value11=value();

            state._fsp--;

            adaptor.addChild(root_0, value11.getTree());
            // ExprGrammar.g:123:13: ( COMMA value )*
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( (LA4_0==COMMA) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // ExprGrammar.g:123:14: COMMA value
            	    {
            	    COMMA12=(Token)match(input,COMMA,FOLLOW_COMMA_in_list_content642); 
            	    pushFollow(FOLLOW_value_in_list_content645);
            	    value13=value();

            	    state._fsp--;

            	    adaptor.addChild(root_0, value13.getTree());

            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "list_content"

    public static class primaryExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "primaryExpression"
    // ExprGrammar.g:127:1: primaryExpression : ( TRUE | FALSE | DATACOLUMNNAME | INT | FLOAT | arithmeticFunctionCall | patternMatch | LPAREN arithmeticExpression RPAREN | stringExpr );
    public final ExprGrammarParser.primaryExpression_return primaryExpression() throws RecognitionException {
        ExprGrammarParser.primaryExpression_return retval = new ExprGrammarParser.primaryExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token TRUE14=null;
        Token FALSE15=null;
        Token DATACOLUMNNAME16=null;
        Token INT17=null;
        Token FLOAT18=null;
        Token LPAREN21=null;
        Token RPAREN23=null;
        ExprGrammarParser.arithmeticFunctionCall_return arithmeticFunctionCall19 = null;

        ExprGrammarParser.patternMatch_return patternMatch20 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression22 = null;

        ExprGrammarParser.stringExpr_return stringExpr24 = null;


        CommonTree TRUE14_tree=null;
        CommonTree FALSE15_tree=null;
        CommonTree DATACOLUMNNAME16_tree=null;
        CommonTree INT17_tree=null;
        CommonTree FLOAT18_tree=null;
        CommonTree LPAREN21_tree=null;
        CommonTree RPAREN23_tree=null;

        try {
            // ExprGrammar.g:128:5: ( TRUE | FALSE | DATACOLUMNNAME | INT | FLOAT | arithmeticFunctionCall | patternMatch | LPAREN arithmeticExpression RPAREN | stringExpr )
            int alt5=9;
            alt5 = dfa5.predict(input);
            switch (alt5) {
                case 1 :
                    // ExprGrammar.g:128:7: TRUE
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    TRUE14=(Token)match(input,TRUE,FOLLOW_TRUE_in_primaryExpression666); 
                    TRUE14_tree = (CommonTree)adaptor.create(TRUE14);
                    adaptor.addChild(root_0, TRUE14_tree);


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:129:7: FALSE
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FALSE15=(Token)match(input,FALSE,FOLLOW_FALSE_in_primaryExpression674); 
                    FALSE15_tree = (CommonTree)adaptor.create(FALSE15);
                    adaptor.addChild(root_0, FALSE15_tree);


                    }
                    break;
                case 3 :
                    // ExprGrammar.g:130:7: DATACOLUMNNAME
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    DATACOLUMNNAME16=(Token)match(input,DATACOLUMNNAME,FOLLOW_DATACOLUMNNAME_in_primaryExpression682); 
                    DATACOLUMNNAME16_tree = (CommonTree)adaptor.create(DATACOLUMNNAME16);
                    adaptor.addChild(root_0, DATACOLUMNNAME16_tree);


                    }
                    break;
                case 4 :
                    // ExprGrammar.g:131:7: INT
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    INT17=(Token)match(input,INT,FOLLOW_INT_in_primaryExpression690); 
                    INT17_tree = (CommonTree)adaptor.create(INT17);
                    adaptor.addChild(root_0, INT17_tree);


                    }
                    break;
                case 5 :
                    // ExprGrammar.g:131:13: FLOAT
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FLOAT18=(Token)match(input,FLOAT,FOLLOW_FLOAT_in_primaryExpression694); 
                    FLOAT18_tree = (CommonTree)adaptor.create(FLOAT18);
                    adaptor.addChild(root_0, FLOAT18_tree);


                    }
                    break;
                case 6 :
                    // ExprGrammar.g:132:7: arithmeticFunctionCall
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_arithmeticFunctionCall_in_primaryExpression702);
                    arithmeticFunctionCall19=arithmeticFunctionCall();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticFunctionCall19.getTree());

                    }
                    break;
                case 7 :
                    // ExprGrammar.g:133:7: patternMatch
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_patternMatch_in_primaryExpression710);
                    patternMatch20=patternMatch();

                    state._fsp--;

                    adaptor.addChild(root_0, patternMatch20.getTree());

                    }
                    break;
                case 8 :
                    // ExprGrammar.g:134:7: LPAREN arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    LPAREN21=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_primaryExpression718); 
                    pushFollow(FOLLOW_arithmeticExpression_in_primaryExpression721);
                    arithmeticExpression22=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression22.getTree());
                    RPAREN23=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_primaryExpression723); 

                    }
                    break;
                case 9 :
                    // ExprGrammar.g:135:7: stringExpr
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_stringExpr_in_primaryExpression732);
                    stringExpr24=stringExpr();

                    state._fsp--;

                    adaptor.addChild(root_0, stringExpr24.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "primaryExpression"

    public static class arithmeticFunctionCall_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "arithmeticFunctionCall"
    // ExprGrammar.g:138:1: arithmeticFunctionCall : ( FUNCTION_N_TO_N LPAREN arithmeticExpression RPAREN | FUNCTION_G_TO_N LPAREN geometry RPAREN | FUNCTION_G_G_TO_N LPAREN geometry COMMA geometry RPAREN );
    public final ExprGrammarParser.arithmeticFunctionCall_return arithmeticFunctionCall() throws RecognitionException {
        ExprGrammarParser.arithmeticFunctionCall_return retval = new ExprGrammarParser.arithmeticFunctionCall_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token FUNCTION_N_TO_N25=null;
        Token LPAREN26=null;
        Token RPAREN28=null;
        Token FUNCTION_G_TO_N29=null;
        Token LPAREN30=null;
        Token RPAREN32=null;
        Token FUNCTION_G_G_TO_N33=null;
        Token LPAREN34=null;
        Token COMMA36=null;
        Token RPAREN38=null;
        ExprGrammarParser.arithmeticExpression_return arithmeticExpression27 = null;

        ExprGrammarParser.geometry_return geometry31 = null;

        ExprGrammarParser.geometry_return geometry35 = null;

        ExprGrammarParser.geometry_return geometry37 = null;


        CommonTree FUNCTION_N_TO_N25_tree=null;
        CommonTree LPAREN26_tree=null;
        CommonTree RPAREN28_tree=null;
        CommonTree FUNCTION_G_TO_N29_tree=null;
        CommonTree LPAREN30_tree=null;
        CommonTree RPAREN32_tree=null;
        CommonTree FUNCTION_G_G_TO_N33_tree=null;
        CommonTree LPAREN34_tree=null;
        CommonTree COMMA36_tree=null;
        CommonTree RPAREN38_tree=null;

        try {
            // ExprGrammar.g:139:5: ( FUNCTION_N_TO_N LPAREN arithmeticExpression RPAREN | FUNCTION_G_TO_N LPAREN geometry RPAREN | FUNCTION_G_G_TO_N LPAREN geometry COMMA geometry RPAREN )
            int alt6=3;
            switch ( input.LA(1) ) {
            case FUNCTION_N_TO_N:
                {
                alt6=1;
                }
                break;
            case FUNCTION_G_TO_N:
                {
                alt6=2;
                }
                break;
            case FUNCTION_G_G_TO_N:
                {
                alt6=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 6, 0, input);

                throw nvae;
            }

            switch (alt6) {
                case 1 :
                    // ExprGrammar.g:139:7: FUNCTION_N_TO_N LPAREN arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_N_TO_N25=(Token)match(input,FUNCTION_N_TO_N,FOLLOW_FUNCTION_N_TO_N_in_arithmeticFunctionCall749); 
                    FUNCTION_N_TO_N25_tree = (CommonTree)adaptor.create(FUNCTION_N_TO_N25);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_N_TO_N25_tree, root_0);

                    LPAREN26=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_arithmeticFunctionCall752); 
                    pushFollow(FOLLOW_arithmeticExpression_in_arithmeticFunctionCall755);
                    arithmeticExpression27=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression27.getTree());
                    RPAREN28=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_arithmeticFunctionCall757); 

                    }
                    break;
                case 2 :
                    // ExprGrammar.g:140:7: FUNCTION_G_TO_N LPAREN geometry RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_G_TO_N29=(Token)match(input,FUNCTION_G_TO_N,FOLLOW_FUNCTION_G_TO_N_in_arithmeticFunctionCall767); 
                    FUNCTION_G_TO_N29_tree = (CommonTree)adaptor.create(FUNCTION_G_TO_N29);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_G_TO_N29_tree, root_0);

                    LPAREN30=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_arithmeticFunctionCall770); 
                    pushFollow(FOLLOW_geometry_in_arithmeticFunctionCall773);
                    geometry31=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry31.getTree());
                    RPAREN32=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_arithmeticFunctionCall775); 

                    }
                    break;
                case 3 :
                    // ExprGrammar.g:141:7: FUNCTION_G_G_TO_N LPAREN geometry COMMA geometry RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_G_G_TO_N33=(Token)match(input,FUNCTION_G_G_TO_N,FOLLOW_FUNCTION_G_G_TO_N_in_arithmeticFunctionCall784); 
                    FUNCTION_G_G_TO_N33_tree = (CommonTree)adaptor.create(FUNCTION_G_G_TO_N33);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_G_G_TO_N33_tree, root_0);

                    LPAREN34=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_arithmeticFunctionCall787); 
                    pushFollow(FOLLOW_geometry_in_arithmeticFunctionCall790);
                    geometry35=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry35.getTree());
                    COMMA36=(Token)match(input,COMMA,FOLLOW_COMMA_in_arithmeticFunctionCall792); 
                    pushFollow(FOLLOW_geometry_in_arithmeticFunctionCall795);
                    geometry37=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry37.getTree());
                    RPAREN38=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_arithmeticFunctionCall797); 

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "arithmeticFunctionCall"

    public static class geometry_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "geometry"
    // ExprGrammar.g:144:1: geometry : ( OMCOLUMNNAME | geometryFunctionCall );
    public final ExprGrammarParser.geometry_return geometry() throws RecognitionException {
        ExprGrammarParser.geometry_return retval = new ExprGrammarParser.geometry_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token OMCOLUMNNAME39=null;
        ExprGrammarParser.geometryFunctionCall_return geometryFunctionCall40 = null;


        CommonTree OMCOLUMNNAME39_tree=null;

        try {
            // ExprGrammar.g:145:5: ( OMCOLUMNNAME | geometryFunctionCall )
            int alt7=2;
            int LA7_0 = input.LA(1);

            if ( (LA7_0==OMCOLUMNNAME) ) {
                alt7=1;
            }
            else if ( ((LA7_0>=FUNCTION_N_N_TO_G && LA7_0<=FUNCTION_G_G_TO_G)) ) {
                alt7=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 7, 0, input);

                throw nvae;
            }
            switch (alt7) {
                case 1 :
                    // ExprGrammar.g:145:7: OMCOLUMNNAME
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    OMCOLUMNNAME39=(Token)match(input,OMCOLUMNNAME,FOLLOW_OMCOLUMNNAME_in_geometry820); 
                    OMCOLUMNNAME39_tree = (CommonTree)adaptor.create(OMCOLUMNNAME39);
                    adaptor.addChild(root_0, OMCOLUMNNAME39_tree);


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:146:7: geometryFunctionCall
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_geometryFunctionCall_in_geometry828);
                    geometryFunctionCall40=geometryFunctionCall();

                    state._fsp--;

                    adaptor.addChild(root_0, geometryFunctionCall40.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "geometry"

    public static class geometryFunctionCall_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "geometryFunctionCall"
    // ExprGrammar.g:149:1: geometryFunctionCall : ( FUNCTION_N_N_TO_G LPAREN arithmeticExpression COMMA arithmeticExpression RPAREN | FUNCTION_G_N_TO_G LPAREN geometry COMMA arithmeticExpression RPAREN | FUNCTION_G_G_TO_G LPAREN geometry COMMA geometry RPAREN );
    public final ExprGrammarParser.geometryFunctionCall_return geometryFunctionCall() throws RecognitionException {
        ExprGrammarParser.geometryFunctionCall_return retval = new ExprGrammarParser.geometryFunctionCall_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token FUNCTION_N_N_TO_G41=null;
        Token LPAREN42=null;
        Token COMMA44=null;
        Token RPAREN46=null;
        Token FUNCTION_G_N_TO_G47=null;
        Token LPAREN48=null;
        Token COMMA50=null;
        Token RPAREN52=null;
        Token FUNCTION_G_G_TO_G53=null;
        Token LPAREN54=null;
        Token COMMA56=null;
        Token RPAREN58=null;
        ExprGrammarParser.arithmeticExpression_return arithmeticExpression43 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression45 = null;

        ExprGrammarParser.geometry_return geometry49 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression51 = null;

        ExprGrammarParser.geometry_return geometry55 = null;

        ExprGrammarParser.geometry_return geometry57 = null;


        CommonTree FUNCTION_N_N_TO_G41_tree=null;
        CommonTree LPAREN42_tree=null;
        CommonTree COMMA44_tree=null;
        CommonTree RPAREN46_tree=null;
        CommonTree FUNCTION_G_N_TO_G47_tree=null;
        CommonTree LPAREN48_tree=null;
        CommonTree COMMA50_tree=null;
        CommonTree RPAREN52_tree=null;
        CommonTree FUNCTION_G_G_TO_G53_tree=null;
        CommonTree LPAREN54_tree=null;
        CommonTree COMMA56_tree=null;
        CommonTree RPAREN58_tree=null;

        try {
            // ExprGrammar.g:150:5: ( FUNCTION_N_N_TO_G LPAREN arithmeticExpression COMMA arithmeticExpression RPAREN | FUNCTION_G_N_TO_G LPAREN geometry COMMA arithmeticExpression RPAREN | FUNCTION_G_G_TO_G LPAREN geometry COMMA geometry RPAREN )
            int alt8=3;
            switch ( input.LA(1) ) {
            case FUNCTION_N_N_TO_G:
                {
                alt8=1;
                }
                break;
            case FUNCTION_G_N_TO_G:
                {
                alt8=2;
                }
                break;
            case FUNCTION_G_G_TO_G:
                {
                alt8=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 8, 0, input);

                throw nvae;
            }

            switch (alt8) {
                case 1 :
                    // ExprGrammar.g:150:7: FUNCTION_N_N_TO_G LPAREN arithmeticExpression COMMA arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_N_N_TO_G41=(Token)match(input,FUNCTION_N_N_TO_G,FOLLOW_FUNCTION_N_N_TO_G_in_geometryFunctionCall845); 
                    FUNCTION_N_N_TO_G41_tree = (CommonTree)adaptor.create(FUNCTION_N_N_TO_G41);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_N_N_TO_G41_tree, root_0);

                    LPAREN42=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_geometryFunctionCall848); 
                    pushFollow(FOLLOW_arithmeticExpression_in_geometryFunctionCall851);
                    arithmeticExpression43=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression43.getTree());
                    COMMA44=(Token)match(input,COMMA,FOLLOW_COMMA_in_geometryFunctionCall853); 
                    pushFollow(FOLLOW_arithmeticExpression_in_geometryFunctionCall856);
                    arithmeticExpression45=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression45.getTree());
                    RPAREN46=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_geometryFunctionCall858); 

                    }
                    break;
                case 2 :
                    // ExprGrammar.g:151:7: FUNCTION_G_N_TO_G LPAREN geometry COMMA arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_G_N_TO_G47=(Token)match(input,FUNCTION_G_N_TO_G,FOLLOW_FUNCTION_G_N_TO_G_in_geometryFunctionCall868); 
                    FUNCTION_G_N_TO_G47_tree = (CommonTree)adaptor.create(FUNCTION_G_N_TO_G47);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_G_N_TO_G47_tree, root_0);

                    LPAREN48=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_geometryFunctionCall871); 
                    pushFollow(FOLLOW_geometry_in_geometryFunctionCall874);
                    geometry49=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry49.getTree());
                    COMMA50=(Token)match(input,COMMA,FOLLOW_COMMA_in_geometryFunctionCall876); 
                    pushFollow(FOLLOW_arithmeticExpression_in_geometryFunctionCall879);
                    arithmeticExpression51=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression51.getTree());
                    RPAREN52=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_geometryFunctionCall881); 

                    }
                    break;
                case 3 :
                    // ExprGrammar.g:152:7: FUNCTION_G_G_TO_G LPAREN geometry COMMA geometry RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_G_G_TO_G53=(Token)match(input,FUNCTION_G_G_TO_G,FOLLOW_FUNCTION_G_G_TO_G_in_geometryFunctionCall891); 
                    FUNCTION_G_G_TO_G53_tree = (CommonTree)adaptor.create(FUNCTION_G_G_TO_G53);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_G_G_TO_G53_tree, root_0);

                    LPAREN54=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_geometryFunctionCall894); 
                    pushFollow(FOLLOW_geometry_in_geometryFunctionCall897);
                    geometry55=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry55.getTree());
                    COMMA56=(Token)match(input,COMMA,FOLLOW_COMMA_in_geometryFunctionCall899); 
                    pushFollow(FOLLOW_geometry_in_geometryFunctionCall902);
                    geometry57=geometry();

                    state._fsp--;

                    adaptor.addChild(root_0, geometry57.getTree());
                    RPAREN58=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_geometryFunctionCall904); 

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "geometryFunctionCall"

    public static class patternMatch_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "patternMatch"
    // ExprGrammar.g:155:1: patternMatch : ( DATACOLUMNNAME LIKE STRING | DATACOLUMNNAME REGEXP STRING );
    public final ExprGrammarParser.patternMatch_return patternMatch() throws RecognitionException {
        ExprGrammarParser.patternMatch_return retval = new ExprGrammarParser.patternMatch_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token DATACOLUMNNAME59=null;
        Token LIKE60=null;
        Token STRING61=null;
        Token DATACOLUMNNAME62=null;
        Token REGEXP63=null;
        Token STRING64=null;

        CommonTree DATACOLUMNNAME59_tree=null;
        CommonTree LIKE60_tree=null;
        CommonTree STRING61_tree=null;
        CommonTree DATACOLUMNNAME62_tree=null;
        CommonTree REGEXP63_tree=null;
        CommonTree STRING64_tree=null;

        try {
            // ExprGrammar.g:156:5: ( DATACOLUMNNAME LIKE STRING | DATACOLUMNNAME REGEXP STRING )
            int alt9=2;
            int LA9_0 = input.LA(1);

            if ( (LA9_0==DATACOLUMNNAME) ) {
                int LA9_1 = input.LA(2);

                if ( (LA9_1==LIKE) ) {
                    alt9=1;
                }
                else if ( (LA9_1==REGEXP) ) {
                    alt9=2;
                }
                else {
                    NoViableAltException nvae =
                        new NoViableAltException("", 9, 1, input);

                    throw nvae;
                }
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 9, 0, input);

                throw nvae;
            }
            switch (alt9) {
                case 1 :
                    // ExprGrammar.g:156:7: DATACOLUMNNAME LIKE STRING
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    DATACOLUMNNAME59=(Token)match(input,DATACOLUMNNAME,FOLLOW_DATACOLUMNNAME_in_patternMatch919); 
                    DATACOLUMNNAME59_tree = (CommonTree)adaptor.create(DATACOLUMNNAME59);
                    adaptor.addChild(root_0, DATACOLUMNNAME59_tree);

                    LIKE60=(Token)match(input,LIKE,FOLLOW_LIKE_in_patternMatch921); 
                    LIKE60_tree = (CommonTree)adaptor.create(LIKE60);
                    root_0 = (CommonTree)adaptor.becomeRoot(LIKE60_tree, root_0);

                    STRING61=(Token)match(input,STRING,FOLLOW_STRING_in_patternMatch924); 
                    STRING61_tree = (CommonTree)adaptor.create(STRING61);
                    adaptor.addChild(root_0, STRING61_tree);


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:157:7: DATACOLUMNNAME REGEXP STRING
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    DATACOLUMNNAME62=(Token)match(input,DATACOLUMNNAME,FOLLOW_DATACOLUMNNAME_in_patternMatch932); 
                    DATACOLUMNNAME62_tree = (CommonTree)adaptor.create(DATACOLUMNNAME62);
                    adaptor.addChild(root_0, DATACOLUMNNAME62_tree);

                    REGEXP63=(Token)match(input,REGEXP,FOLLOW_REGEXP_in_patternMatch934); 
                    REGEXP63_tree = (CommonTree)adaptor.create(REGEXP63);
                    root_0 = (CommonTree)adaptor.becomeRoot(REGEXP63_tree, root_0);

                    STRING64=(Token)match(input,STRING,FOLLOW_STRING_in_patternMatch937); 
                    STRING64_tree = (CommonTree)adaptor.create(STRING64);
                    adaptor.addChild(root_0, STRING64_tree);


                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "patternMatch"

    public static class stringExpr_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "stringExpr"
    // ExprGrammar.g:160:1: stringExpr : ( STRING | FUNCTION_S_SPLUS_TO_S LPAREN arithmeticExpression ( COMMA arithmeticExpression )+ RPAREN | FUNCTION_S_N1OR2_TO_S LPAREN arithmeticExpression COMMA arithmeticExpression ( COMMA arithmeticExpression )? RPAREN | FUNCTION_S_TO_N LPAREN arithmeticExpression RPAREN | FUNCTION_S_TO_S LPAREN arithmeticExpression RPAREN );
    public final ExprGrammarParser.stringExpr_return stringExpr() throws RecognitionException {
        ExprGrammarParser.stringExpr_return retval = new ExprGrammarParser.stringExpr_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token STRING65=null;
        Token FUNCTION_S_SPLUS_TO_S66=null;
        Token LPAREN67=null;
        Token COMMA69=null;
        Token RPAREN71=null;
        Token FUNCTION_S_N1OR2_TO_S72=null;
        Token LPAREN73=null;
        Token COMMA75=null;
        Token COMMA77=null;
        Token RPAREN79=null;
        Token FUNCTION_S_TO_N80=null;
        Token LPAREN81=null;
        Token RPAREN83=null;
        Token FUNCTION_S_TO_S84=null;
        Token LPAREN85=null;
        Token RPAREN87=null;
        ExprGrammarParser.arithmeticExpression_return arithmeticExpression68 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression70 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression74 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression76 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression78 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression82 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression86 = null;


        CommonTree STRING65_tree=null;
        CommonTree FUNCTION_S_SPLUS_TO_S66_tree=null;
        CommonTree LPAREN67_tree=null;
        CommonTree COMMA69_tree=null;
        CommonTree RPAREN71_tree=null;
        CommonTree FUNCTION_S_N1OR2_TO_S72_tree=null;
        CommonTree LPAREN73_tree=null;
        CommonTree COMMA75_tree=null;
        CommonTree COMMA77_tree=null;
        CommonTree RPAREN79_tree=null;
        CommonTree FUNCTION_S_TO_N80_tree=null;
        CommonTree LPAREN81_tree=null;
        CommonTree RPAREN83_tree=null;
        CommonTree FUNCTION_S_TO_S84_tree=null;
        CommonTree LPAREN85_tree=null;
        CommonTree RPAREN87_tree=null;

        try {
            // ExprGrammar.g:161:5: ( STRING | FUNCTION_S_SPLUS_TO_S LPAREN arithmeticExpression ( COMMA arithmeticExpression )+ RPAREN | FUNCTION_S_N1OR2_TO_S LPAREN arithmeticExpression COMMA arithmeticExpression ( COMMA arithmeticExpression )? RPAREN | FUNCTION_S_TO_N LPAREN arithmeticExpression RPAREN | FUNCTION_S_TO_S LPAREN arithmeticExpression RPAREN )
            int alt12=5;
            switch ( input.LA(1) ) {
            case STRING:
                {
                alt12=1;
                }
                break;
            case FUNCTION_S_SPLUS_TO_S:
                {
                alt12=2;
                }
                break;
            case FUNCTION_S_N1OR2_TO_S:
                {
                alt12=3;
                }
                break;
            case FUNCTION_S_TO_N:
                {
                alt12=4;
                }
                break;
            case FUNCTION_S_TO_S:
                {
                alt12=5;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 12, 0, input);

                throw nvae;
            }

            switch (alt12) {
                case 1 :
                    // ExprGrammar.g:161:7: STRING
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    STRING65=(Token)match(input,STRING,FOLLOW_STRING_in_stringExpr954); 
                    STRING65_tree = (CommonTree)adaptor.create(STRING65);
                    adaptor.addChild(root_0, STRING65_tree);


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:162:7: FUNCTION_S_SPLUS_TO_S LPAREN arithmeticExpression ( COMMA arithmeticExpression )+ RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_S_SPLUS_TO_S66=(Token)match(input,FUNCTION_S_SPLUS_TO_S,FOLLOW_FUNCTION_S_SPLUS_TO_S_in_stringExpr962); 
                    FUNCTION_S_SPLUS_TO_S66_tree = (CommonTree)adaptor.create(FUNCTION_S_SPLUS_TO_S66);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_S_SPLUS_TO_S66_tree, root_0);

                    LPAREN67=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_stringExpr965); 
                    pushFollow(FOLLOW_arithmeticExpression_in_stringExpr968);
                    arithmeticExpression68=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression68.getTree());
                    // ExprGrammar.g:162:59: ( COMMA arithmeticExpression )+
                    int cnt10=0;
                    loop10:
                    do {
                        int alt10=2;
                        int LA10_0 = input.LA(1);

                        if ( (LA10_0==COMMA) ) {
                            alt10=1;
                        }


                        switch (alt10) {
                    	case 1 :
                    	    // ExprGrammar.g:162:60: COMMA arithmeticExpression
                    	    {
                    	    COMMA69=(Token)match(input,COMMA,FOLLOW_COMMA_in_stringExpr971); 
                    	    pushFollow(FOLLOW_arithmeticExpression_in_stringExpr974);
                    	    arithmeticExpression70=arithmeticExpression();

                    	    state._fsp--;

                    	    adaptor.addChild(root_0, arithmeticExpression70.getTree());

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt10 >= 1 ) break loop10;
                                EarlyExitException eee =
                                    new EarlyExitException(10, input);
                                throw eee;
                        }
                        cnt10++;
                    } while (true);

                    RPAREN71=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_stringExpr978); 

                    }
                    break;
                case 3 :
                    // ExprGrammar.g:163:7: FUNCTION_S_N1OR2_TO_S LPAREN arithmeticExpression COMMA arithmeticExpression ( COMMA arithmeticExpression )? RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_S_N1OR2_TO_S72=(Token)match(input,FUNCTION_S_N1OR2_TO_S,FOLLOW_FUNCTION_S_N1OR2_TO_S_in_stringExpr988); 
                    FUNCTION_S_N1OR2_TO_S72_tree = (CommonTree)adaptor.create(FUNCTION_S_N1OR2_TO_S72);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_S_N1OR2_TO_S72_tree, root_0);

                    LPAREN73=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_stringExpr991); 
                    pushFollow(FOLLOW_arithmeticExpression_in_stringExpr994);
                    arithmeticExpression74=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression74.getTree());
                    COMMA75=(Token)match(input,COMMA,FOLLOW_COMMA_in_stringExpr996); 
                    pushFollow(FOLLOW_arithmeticExpression_in_stringExpr999);
                    arithmeticExpression76=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression76.getTree());
                    // ExprGrammar.g:163:87: ( COMMA arithmeticExpression )?
                    int alt11=2;
                    int LA11_0 = input.LA(1);

                    if ( (LA11_0==COMMA) ) {
                        alt11=1;
                    }
                    switch (alt11) {
                        case 1 :
                            // ExprGrammar.g:163:88: COMMA arithmeticExpression
                            {
                            COMMA77=(Token)match(input,COMMA,FOLLOW_COMMA_in_stringExpr1002); 
                            pushFollow(FOLLOW_arithmeticExpression_in_stringExpr1005);
                            arithmeticExpression78=arithmeticExpression();

                            state._fsp--;

                            adaptor.addChild(root_0, arithmeticExpression78.getTree());

                            }
                            break;

                    }

                    RPAREN79=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_stringExpr1009); 

                    }
                    break;
                case 4 :
                    // ExprGrammar.g:164:7: FUNCTION_S_TO_N LPAREN arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_S_TO_N80=(Token)match(input,FUNCTION_S_TO_N,FOLLOW_FUNCTION_S_TO_N_in_stringExpr1018); 
                    FUNCTION_S_TO_N80_tree = (CommonTree)adaptor.create(FUNCTION_S_TO_N80);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_S_TO_N80_tree, root_0);

                    LPAREN81=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_stringExpr1021); 
                    pushFollow(FOLLOW_arithmeticExpression_in_stringExpr1024);
                    arithmeticExpression82=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression82.getTree());
                    RPAREN83=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_stringExpr1026); 

                    }
                    break;
                case 5 :
                    // ExprGrammar.g:165:7: FUNCTION_S_TO_S LPAREN arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    FUNCTION_S_TO_S84=(Token)match(input,FUNCTION_S_TO_S,FOLLOW_FUNCTION_S_TO_S_in_stringExpr1036); 
                    FUNCTION_S_TO_S84_tree = (CommonTree)adaptor.create(FUNCTION_S_TO_S84);
                    root_0 = (CommonTree)adaptor.becomeRoot(FUNCTION_S_TO_S84_tree, root_0);

                    LPAREN85=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_stringExpr1039); 
                    pushFollow(FOLLOW_arithmeticExpression_in_stringExpr1042);
                    arithmeticExpression86=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression86.getTree());
                    RPAREN87=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_stringExpr1044); 

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "stringExpr"

    public static class unaryExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "unaryExpression"
    // ExprGrammar.g:167:1: unaryExpression : ( primaryExpression | unaryOperator unaryExpression );
    public final ExprGrammarParser.unaryExpression_return unaryExpression() throws RecognitionException {
        ExprGrammarParser.unaryExpression_return retval = new ExprGrammarParser.unaryExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        ExprGrammarParser.primaryExpression_return primaryExpression88 = null;

        ExprGrammarParser.unaryOperator_return unaryOperator89 = null;

        ExprGrammarParser.unaryExpression_return unaryExpression90 = null;



        try {
            // ExprGrammar.g:168:2: ( primaryExpression | unaryOperator unaryExpression )
            int alt13=2;
            int LA13_0 = input.LA(1);

            if ( (LA13_0==LPAREN||LA13_0==DATACOLUMNNAME||(LA13_0>=TRUE && LA13_0<=FUNCTION_G_G_TO_N)||(LA13_0>=STRING && LA13_0<=FUNCTION_S_TO_S)) ) {
                alt13=1;
            }
            else if ( ((LA13_0>=ADD && LA13_0<=SUB)||LA13_0==NOT) ) {
                alt13=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 13, 0, input);

                throw nvae;
            }
            switch (alt13) {
                case 1 :
                    // ExprGrammar.g:168:4: primaryExpression
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_primaryExpression_in_unaryExpression1059);
                    primaryExpression88=primaryExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, primaryExpression88.getTree());

                    }
                    break;
                case 2 :
                    // ExprGrammar.g:169:4: unaryOperator unaryExpression
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_unaryOperator_in_unaryExpression1064);
                    unaryOperator89=unaryOperator();

                    state._fsp--;

                    root_0 = (CommonTree)adaptor.becomeRoot(unaryOperator89.getTree(), root_0);
                    pushFollow(FOLLOW_unaryExpression_in_unaryExpression1067);
                    unaryExpression90=unaryExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, unaryExpression90.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "unaryExpression"

    public static class unaryOperator_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "unaryOperator"
    // ExprGrammar.g:172:1: unaryOperator : ( NOT | op= ADD | op= SUB );
    public final ExprGrammarParser.unaryOperator_return unaryOperator() throws RecognitionException {
        ExprGrammarParser.unaryOperator_return retval = new ExprGrammarParser.unaryOperator_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token op=null;
        Token NOT91=null;

        CommonTree op_tree=null;
        CommonTree NOT91_tree=null;

        try {
            // ExprGrammar.g:173:2: ( NOT | op= ADD | op= SUB )
            int alt14=3;
            switch ( input.LA(1) ) {
            case NOT:
                {
                alt14=1;
                }
                break;
            case ADD:
                {
                alt14=2;
                }
                break;
            case SUB:
                {
                alt14=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 14, 0, input);

                throw nvae;
            }

            switch (alt14) {
                case 1 :
                    // ExprGrammar.g:173:4: NOT
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    NOT91=(Token)match(input,NOT,FOLLOW_NOT_in_unaryOperator1079); 
                    NOT91_tree = (CommonTree)adaptor.create(NOT91);
                    adaptor.addChild(root_0, NOT91_tree);


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:174:7: op= ADD
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    op=(Token)match(input,ADD,FOLLOW_ADD_in_unaryOperator1089); 
                    op_tree = (CommonTree)adaptor.create(op);
                    adaptor.addChild(root_0, op_tree);

                     op.setType(POS); 

                    }
                    break;
                case 3 :
                    // ExprGrammar.g:175:4: op= SUB
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    op=(Token)match(input,SUB,FOLLOW_SUB_in_unaryOperator1098); 
                    op_tree = (CommonTree)adaptor.create(op);
                    adaptor.addChild(root_0, op_tree);

                     op.setType(NEG); 

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "unaryOperator"

    public static class multiplicativeExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "multiplicativeExpression"
    // ExprGrammar.g:178:1: multiplicativeExpression : unaryExpression ( ( MUL | DIV | MOD ) unaryExpression )* ;
    public final ExprGrammarParser.multiplicativeExpression_return multiplicativeExpression() throws RecognitionException {
        ExprGrammarParser.multiplicativeExpression_return retval = new ExprGrammarParser.multiplicativeExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token set93=null;
        ExprGrammarParser.unaryExpression_return unaryExpression92 = null;

        ExprGrammarParser.unaryExpression_return unaryExpression94 = null;


        CommonTree set93_tree=null;

        try {
            // ExprGrammar.g:179:2: ( unaryExpression ( ( MUL | DIV | MOD ) unaryExpression )* )
            // ExprGrammar.g:179:4: unaryExpression ( ( MUL | DIV | MOD ) unaryExpression )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_unaryExpression_in_multiplicativeExpression1111);
            unaryExpression92=unaryExpression();

            state._fsp--;

            adaptor.addChild(root_0, unaryExpression92.getTree());
            // ExprGrammar.g:179:20: ( ( MUL | DIV | MOD ) unaryExpression )*
            loop15:
            do {
                int alt15=2;
                int LA15_0 = input.LA(1);

                if ( ((LA15_0>=MUL && LA15_0<=MOD)||LA15_0==DIV) ) {
                    alt15=1;
                }


                switch (alt15) {
            	case 1 :
            	    // ExprGrammar.g:179:22: ( MUL | DIV | MOD ) unaryExpression
            	    {
            	    set93=(Token)input.LT(1);
            	    set93=(Token)input.LT(1);
            	    if ( (input.LA(1)>=MUL && input.LA(1)<=MOD)||input.LA(1)==DIV ) {
            	        input.consume();
            	        root_0 = (CommonTree)adaptor.becomeRoot((CommonTree)adaptor.create(set93), root_0);
            	        state.errorRecovery=false;
            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    pushFollow(FOLLOW_unaryExpression_in_multiplicativeExpression1130);
            	    unaryExpression94=unaryExpression();

            	    state._fsp--;

            	    adaptor.addChild(root_0, unaryExpression94.getTree());

            	    }
            	    break;

            	default :
            	    break loop15;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "multiplicativeExpression"

    public static class additiveExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "additiveExpression"
    // ExprGrammar.g:182:1: additiveExpression : multiplicativeExpression ( ( ADD | SUB ) multiplicativeExpression )* ;
    public final ExprGrammarParser.additiveExpression_return additiveExpression() throws RecognitionException {
        ExprGrammarParser.additiveExpression_return retval = new ExprGrammarParser.additiveExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token set96=null;
        ExprGrammarParser.multiplicativeExpression_return multiplicativeExpression95 = null;

        ExprGrammarParser.multiplicativeExpression_return multiplicativeExpression97 = null;


        CommonTree set96_tree=null;

        try {
            // ExprGrammar.g:183:2: ( multiplicativeExpression ( ( ADD | SUB ) multiplicativeExpression )* )
            // ExprGrammar.g:183:4: multiplicativeExpression ( ( ADD | SUB ) multiplicativeExpression )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression1144);
            multiplicativeExpression95=multiplicativeExpression();

            state._fsp--;

            adaptor.addChild(root_0, multiplicativeExpression95.getTree());
            // ExprGrammar.g:183:29: ( ( ADD | SUB ) multiplicativeExpression )*
            loop16:
            do {
                int alt16=2;
                int LA16_0 = input.LA(1);

                if ( ((LA16_0>=ADD && LA16_0<=SUB)) ) {
                    alt16=1;
                }


                switch (alt16) {
            	case 1 :
            	    // ExprGrammar.g:183:31: ( ADD | SUB ) multiplicativeExpression
            	    {
            	    set96=(Token)input.LT(1);
            	    set96=(Token)input.LT(1);
            	    if ( (input.LA(1)>=ADD && input.LA(1)<=SUB) ) {
            	        input.consume();
            	        root_0 = (CommonTree)adaptor.becomeRoot((CommonTree)adaptor.create(set96), root_0);
            	        state.errorRecovery=false;
            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression1159);
            	    multiplicativeExpression97=multiplicativeExpression();

            	    state._fsp--;

            	    adaptor.addChild(root_0, multiplicativeExpression97.getTree());

            	    }
            	    break;

            	default :
            	    break loop16;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "additiveExpression"

    public static class relationalExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "relationalExpression"
    // ExprGrammar.g:186:1: relationalExpression : additiveExpression ( ( LT | GT | LTE | GTE ) additiveExpression )* ;
    public final ExprGrammarParser.relationalExpression_return relationalExpression() throws RecognitionException {
        ExprGrammarParser.relationalExpression_return retval = new ExprGrammarParser.relationalExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token set99=null;
        ExprGrammarParser.additiveExpression_return additiveExpression98 = null;

        ExprGrammarParser.additiveExpression_return additiveExpression100 = null;


        CommonTree set99_tree=null;

        try {
            // ExprGrammar.g:187:2: ( additiveExpression ( ( LT | GT | LTE | GTE ) additiveExpression )* )
            // ExprGrammar.g:187:4: additiveExpression ( ( LT | GT | LTE | GTE ) additiveExpression )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_additiveExpression_in_relationalExpression1173);
            additiveExpression98=additiveExpression();

            state._fsp--;

            adaptor.addChild(root_0, additiveExpression98.getTree());
            // ExprGrammar.g:187:23: ( ( LT | GT | LTE | GTE ) additiveExpression )*
            loop17:
            do {
                int alt17=2;
                int LA17_0 = input.LA(1);

                if ( ((LA17_0>=LT && LA17_0<=GTE)) ) {
                    alt17=1;
                }


                switch (alt17) {
            	case 1 :
            	    // ExprGrammar.g:187:25: ( LT | GT | LTE | GTE ) additiveExpression
            	    {
            	    set99=(Token)input.LT(1);
            	    set99=(Token)input.LT(1);
            	    if ( (input.LA(1)>=LT && input.LA(1)<=GTE) ) {
            	        input.consume();
            	        root_0 = (CommonTree)adaptor.becomeRoot((CommonTree)adaptor.create(set99), root_0);
            	        state.errorRecovery=false;
            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    pushFollow(FOLLOW_additiveExpression_in_relationalExpression1197);
            	    additiveExpression100=additiveExpression();

            	    state._fsp--;

            	    adaptor.addChild(root_0, additiveExpression100.getTree());

            	    }
            	    break;

            	default :
            	    break loop17;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "relationalExpression"

    public static class equalityExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "equalityExpression"
    // ExprGrammar.g:190:1: equalityExpression : relationalExpression ( ( EQ | NEQ ) relationalExpression )* ;
    public final ExprGrammarParser.equalityExpression_return equalityExpression() throws RecognitionException {
        ExprGrammarParser.equalityExpression_return retval = new ExprGrammarParser.equalityExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token set102=null;
        ExprGrammarParser.relationalExpression_return relationalExpression101 = null;

        ExprGrammarParser.relationalExpression_return relationalExpression103 = null;


        CommonTree set102_tree=null;

        try {
            // ExprGrammar.g:191:2: ( relationalExpression ( ( EQ | NEQ ) relationalExpression )* )
            // ExprGrammar.g:191:4: relationalExpression ( ( EQ | NEQ ) relationalExpression )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_relationalExpression_in_equalityExpression1211);
            relationalExpression101=relationalExpression();

            state._fsp--;

            adaptor.addChild(root_0, relationalExpression101.getTree());
            // ExprGrammar.g:191:25: ( ( EQ | NEQ ) relationalExpression )*
            loop18:
            do {
                int alt18=2;
                int LA18_0 = input.LA(1);

                if ( ((LA18_0>=EQ && LA18_0<=NEQ)) ) {
                    alt18=1;
                }


                switch (alt18) {
            	case 1 :
            	    // ExprGrammar.g:191:27: ( EQ | NEQ ) relationalExpression
            	    {
            	    set102=(Token)input.LT(1);
            	    set102=(Token)input.LT(1);
            	    if ( (input.LA(1)>=EQ && input.LA(1)<=NEQ) ) {
            	        input.consume();
            	        root_0 = (CommonTree)adaptor.becomeRoot((CommonTree)adaptor.create(set102), root_0);
            	        state.errorRecovery=false;
            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    pushFollow(FOLLOW_relationalExpression_in_equalityExpression1226);
            	    relationalExpression103=relationalExpression();

            	    state._fsp--;

            	    adaptor.addChild(root_0, relationalExpression103.getTree());

            	    }
            	    break;

            	default :
            	    break loop18;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "equalityExpression"

    public static class logicalANDExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "logicalANDExpression"
    // ExprGrammar.g:194:1: logicalANDExpression : equalityExpression ( LAND equalityExpression )* ;
    public final ExprGrammarParser.logicalANDExpression_return logicalANDExpression() throws RecognitionException {
        ExprGrammarParser.logicalANDExpression_return retval = new ExprGrammarParser.logicalANDExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token LAND105=null;
        ExprGrammarParser.equalityExpression_return equalityExpression104 = null;

        ExprGrammarParser.equalityExpression_return equalityExpression106 = null;


        CommonTree LAND105_tree=null;

        try {
            // ExprGrammar.g:195:2: ( equalityExpression ( LAND equalityExpression )* )
            // ExprGrammar.g:195:4: equalityExpression ( LAND equalityExpression )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_equalityExpression_in_logicalANDExpression1240);
            equalityExpression104=equalityExpression();

            state._fsp--;

            adaptor.addChild(root_0, equalityExpression104.getTree());
            // ExprGrammar.g:195:23: ( LAND equalityExpression )*
            loop19:
            do {
                int alt19=2;
                int LA19_0 = input.LA(1);

                if ( (LA19_0==LAND) ) {
                    alt19=1;
                }


                switch (alt19) {
            	case 1 :
            	    // ExprGrammar.g:195:25: LAND equalityExpression
            	    {
            	    LAND105=(Token)match(input,LAND,FOLLOW_LAND_in_logicalANDExpression1244); 
            	    LAND105_tree = (CommonTree)adaptor.create(LAND105);
            	    root_0 = (CommonTree)adaptor.becomeRoot(LAND105_tree, root_0);

            	    pushFollow(FOLLOW_equalityExpression_in_logicalANDExpression1247);
            	    equalityExpression106=equalityExpression();

            	    state._fsp--;

            	    adaptor.addChild(root_0, equalityExpression106.getTree());

            	    }
            	    break;

            	default :
            	    break loop19;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "logicalANDExpression"

    public static class logicalORExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "logicalORExpression"
    // ExprGrammar.g:198:1: logicalORExpression : logicalANDExpression ( LOR logicalANDExpression )* ;
    public final ExprGrammarParser.logicalORExpression_return logicalORExpression() throws RecognitionException {
        ExprGrammarParser.logicalORExpression_return retval = new ExprGrammarParser.logicalORExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token LOR108=null;
        ExprGrammarParser.logicalANDExpression_return logicalANDExpression107 = null;

        ExprGrammarParser.logicalANDExpression_return logicalANDExpression109 = null;


        CommonTree LOR108_tree=null;

        try {
            // ExprGrammar.g:199:2: ( logicalANDExpression ( LOR logicalANDExpression )* )
            // ExprGrammar.g:199:4: logicalANDExpression ( LOR logicalANDExpression )*
            {
            root_0 = (CommonTree)adaptor.nil();

            pushFollow(FOLLOW_logicalANDExpression_in_logicalORExpression1262);
            logicalANDExpression107=logicalANDExpression();

            state._fsp--;

            adaptor.addChild(root_0, logicalANDExpression107.getTree());
            // ExprGrammar.g:199:25: ( LOR logicalANDExpression )*
            loop20:
            do {
                int alt20=2;
                int LA20_0 = input.LA(1);

                if ( (LA20_0==LOR) ) {
                    alt20=1;
                }


                switch (alt20) {
            	case 1 :
            	    // ExprGrammar.g:199:27: LOR logicalANDExpression
            	    {
            	    LOR108=(Token)match(input,LOR,FOLLOW_LOR_in_logicalORExpression1266); 
            	    LOR108_tree = (CommonTree)adaptor.create(LOR108);
            	    root_0 = (CommonTree)adaptor.becomeRoot(LOR108_tree, root_0);

            	    pushFollow(FOLLOW_logicalANDExpression_in_logicalORExpression1269);
            	    logicalANDExpression109=logicalANDExpression();

            	    state._fsp--;

            	    adaptor.addChild(root_0, logicalANDExpression109.getTree());

            	    }
            	    break;

            	default :
            	    break loop20;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "logicalORExpression"

    public static class arithmeticExpression_return extends ParserRuleReturnScope {
        CommonTree tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "arithmeticExpression"
    // ExprGrammar.g:202:1: arithmeticExpression : ( logicalORExpression | IF LPAREN logicalORExpression SEMIC arithmeticExpression SEMIC arithmeticExpression RPAREN );
    public final ExprGrammarParser.arithmeticExpression_return arithmeticExpression() throws RecognitionException {
        ExprGrammarParser.arithmeticExpression_return retval = new ExprGrammarParser.arithmeticExpression_return();
        retval.start = input.LT(1);

        CommonTree root_0 = null;

        Token IF111=null;
        Token LPAREN112=null;
        Token SEMIC114=null;
        Token SEMIC116=null;
        Token RPAREN118=null;
        ExprGrammarParser.logicalORExpression_return logicalORExpression110 = null;

        ExprGrammarParser.logicalORExpression_return logicalORExpression113 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression115 = null;

        ExprGrammarParser.arithmeticExpression_return arithmeticExpression117 = null;


        CommonTree IF111_tree=null;
        CommonTree LPAREN112_tree=null;
        CommonTree SEMIC114_tree=null;
        CommonTree SEMIC116_tree=null;
        CommonTree RPAREN118_tree=null;

        try {
            // ExprGrammar.g:203:2: ( logicalORExpression | IF LPAREN logicalORExpression SEMIC arithmeticExpression SEMIC arithmeticExpression RPAREN )
            int alt21=2;
            int LA21_0 = input.LA(1);

            if ( (LA21_0==LPAREN||(LA21_0>=ADD && LA21_0<=SUB)||LA21_0==DATACOLUMNNAME||(LA21_0>=TRUE && LA21_0<=FUNCTION_G_G_TO_N)||(LA21_0>=STRING && LA21_0<=NOT)) ) {
                alt21=1;
            }
            else if ( (LA21_0==IF) ) {
                alt21=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 21, 0, input);

                throw nvae;
            }
            switch (alt21) {
                case 1 :
                    // ExprGrammar.g:203:4: logicalORExpression
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    pushFollow(FOLLOW_logicalORExpression_in_arithmeticExpression1286);
                    logicalORExpression110=logicalORExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, logicalORExpression110.getTree());

                    }
                    break;
                case 2 :
                    // ExprGrammar.g:204:7: IF LPAREN logicalORExpression SEMIC arithmeticExpression SEMIC arithmeticExpression RPAREN
                    {
                    root_0 = (CommonTree)adaptor.nil();

                    IF111=(Token)match(input,IF,FOLLOW_IF_in_arithmeticExpression1294); 
                    IF111_tree = (CommonTree)adaptor.create(IF111);
                    root_0 = (CommonTree)adaptor.becomeRoot(IF111_tree, root_0);

                    LPAREN112=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_arithmeticExpression1297); 
                    pushFollow(FOLLOW_logicalORExpression_in_arithmeticExpression1300);
                    logicalORExpression113=logicalORExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, logicalORExpression113.getTree());
                    SEMIC114=(Token)match(input,SEMIC,FOLLOW_SEMIC_in_arithmeticExpression1302); 
                    pushFollow(FOLLOW_arithmeticExpression_in_arithmeticExpression1305);
                    arithmeticExpression115=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression115.getTree());
                    SEMIC116=(Token)match(input,SEMIC,FOLLOW_SEMIC_in_arithmeticExpression1307); 
                    pushFollow(FOLLOW_arithmeticExpression_in_arithmeticExpression1310);
                    arithmeticExpression117=arithmeticExpression();

                    state._fsp--;

                    adaptor.addChild(root_0, arithmeticExpression117.getTree());
                    RPAREN118=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_arithmeticExpression1312); 

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            retval.tree = (CommonTree)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
    	retval.tree = (CommonTree)adaptor.errorNode(input, retval.start, input.LT(-1), re);

        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "arithmeticExpression"

    // Delegated rules


    protected DFA5 dfa5 = new DFA5(this);
    static final String DFA5_eotS =
        "\13\uffff";
    static final String DFA5_eofS =
        "\3\uffff\1\12\7\uffff";
    static final String DFA5_minS =
        "\1\6\2\uffff\1\5\7\uffff";
    static final String DFA5_maxS =
        "\1\61\2\uffff\1\64\7\uffff";
    static final String DFA5_acceptS =
        "\1\uffff\1\1\1\2\1\uffff\1\4\1\5\1\6\1\10\1\11\1\7\1\3";
    static final String DFA5_specialS =
        "\13\uffff}>";
    static final String[] DFA5_transitionS = {
            "\1\7\32\uffff\1\3\1\uffff\1\1\1\2\1\4\1\5\3\6\3\uffff\5\10",
            "",
            "",
            "\1\12\1\uffff\1\12\1\uffff\10\12\1\uffff\4\12\4\uffff\1\12"+
            "\2\11\26\uffff\2\12",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA5_eot = DFA.unpackEncodedString(DFA5_eotS);
    static final short[] DFA5_eof = DFA.unpackEncodedString(DFA5_eofS);
    static final char[] DFA5_min = DFA.unpackEncodedStringToUnsignedChars(DFA5_minS);
    static final char[] DFA5_max = DFA.unpackEncodedStringToUnsignedChars(DFA5_maxS);
    static final short[] DFA5_accept = DFA.unpackEncodedString(DFA5_acceptS);
    static final short[] DFA5_special = DFA.unpackEncodedString(DFA5_specialS);
    static final short[][] DFA5_transition;

    static {
        int numStates = DFA5_transitionS.length;
        DFA5_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA5_transition[i] = DFA.unpackEncodedString(DFA5_transitionS[i]);
        }
    }

    class DFA5 extends DFA {

        public DFA5(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 5;
            this.eot = DFA5_eot;
            this.eof = DFA5_eof;
            this.min = DFA5_min;
            this.max = DFA5_max;
            this.accept = DFA5_accept;
            this.special = DFA5_special;
            this.transition = DFA5_transition;
        }
        public String getDescription() {
            return "127:1: primaryExpression : ( TRUE | FALSE | DATACOLUMNNAME | INT | FLOAT | arithmeticFunctionCall | patternMatch | LPAREN arithmeticExpression RPAREN | stringExpr );";
        }
    }
 

    public static final BitSet FOLLOW_value_in_arg534 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_arg_in_args552 = new BitSet(new long[]{0x0000000000000402L});
    public static final BitSet FOLLOW_COMMA_in_args555 = new BitSet(new long[]{0x0027FFFE000C0050L});
    public static final BitSet FOLLOW_arg_in_args558 = new BitSet(new long[]{0x0000000000000402L});
    public static final BitSet FOLLOW_arithmeticExpression_in_value577 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_geometry_in_value585 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_list_in_value593 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LBRACE_in_list610 = new BitSet(new long[]{0x0027FFFE000C0070L});
    public static final BitSet FOLLOW_list_content_in_list612 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_RBRACE_in_list615 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_value_in_list_content639 = new BitSet(new long[]{0x0000000000000402L});
    public static final BitSet FOLLOW_COMMA_in_list_content642 = new BitSet(new long[]{0x0027FFFE000C0050L});
    public static final BitSet FOLLOW_value_in_list_content645 = new BitSet(new long[]{0x0000000000000402L});
    public static final BitSet FOLLOW_TRUE_in_primaryExpression666 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FALSE_in_primaryExpression674 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DATACOLUMNNAME_in_primaryExpression682 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INT_in_primaryExpression690 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FLOAT_in_primaryExpression694 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_arithmeticFunctionCall_in_primaryExpression702 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_patternMatch_in_primaryExpression710 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_primaryExpression718 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_primaryExpression721 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_primaryExpression723 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringExpr_in_primaryExpression732 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_N_TO_N_in_arithmeticFunctionCall749 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_arithmeticFunctionCall752 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_arithmeticFunctionCall755 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_arithmeticFunctionCall757 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_G_TO_N_in_arithmeticFunctionCall767 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_arithmeticFunctionCall770 = new BitSet(new long[]{0x00001C0400000000L});
    public static final BitSet FOLLOW_geometry_in_arithmeticFunctionCall773 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_arithmeticFunctionCall775 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_G_G_TO_N_in_arithmeticFunctionCall784 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_arithmeticFunctionCall787 = new BitSet(new long[]{0x00001C0400000000L});
    public static final BitSet FOLLOW_geometry_in_arithmeticFunctionCall790 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_arithmeticFunctionCall792 = new BitSet(new long[]{0x00001C0400000000L});
    public static final BitSet FOLLOW_geometry_in_arithmeticFunctionCall795 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_arithmeticFunctionCall797 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_OMCOLUMNNAME_in_geometry820 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_geometryFunctionCall_in_geometry828 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_N_N_TO_G_in_geometryFunctionCall845 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_geometryFunctionCall848 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_geometryFunctionCall851 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_geometryFunctionCall853 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_geometryFunctionCall856 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_geometryFunctionCall858 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_G_N_TO_G_in_geometryFunctionCall868 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_geometryFunctionCall871 = new BitSet(new long[]{0x00001C0400000000L});
    public static final BitSet FOLLOW_geometry_in_geometryFunctionCall874 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_geometryFunctionCall876 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_geometryFunctionCall879 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_geometryFunctionCall881 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_G_G_TO_G_in_geometryFunctionCall891 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_geometryFunctionCall894 = new BitSet(new long[]{0x00001C0400000000L});
    public static final BitSet FOLLOW_geometry_in_geometryFunctionCall897 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_geometryFunctionCall899 = new BitSet(new long[]{0x00001C0400000000L});
    public static final BitSet FOLLOW_geometry_in_geometryFunctionCall902 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_geometryFunctionCall904 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DATACOLUMNNAME_in_patternMatch919 = new BitSet(new long[]{0x0000000008000000L});
    public static final BitSet FOLLOW_LIKE_in_patternMatch921 = new BitSet(new long[]{0x0000200000000000L});
    public static final BitSet FOLLOW_STRING_in_patternMatch924 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DATACOLUMNNAME_in_patternMatch932 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_REGEXP_in_patternMatch934 = new BitSet(new long[]{0x0000200000000000L});
    public static final BitSet FOLLOW_STRING_in_patternMatch937 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STRING_in_stringExpr954 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_S_SPLUS_TO_S_in_stringExpr962 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_stringExpr965 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr968 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_stringExpr971 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr974 = new BitSet(new long[]{0x0000000000000480L});
    public static final BitSet FOLLOW_RPAREN_in_stringExpr978 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_S_N1OR2_TO_S_in_stringExpr988 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_stringExpr991 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr994 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_stringExpr996 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr999 = new BitSet(new long[]{0x0000000000000480L});
    public static final BitSet FOLLOW_COMMA_in_stringExpr1002 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr1005 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_stringExpr1009 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_S_TO_N_in_stringExpr1018 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_stringExpr1021 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr1024 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_stringExpr1026 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FUNCTION_S_TO_S_in_stringExpr1036 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_stringExpr1039 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_stringExpr1042 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_stringExpr1044 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_primaryExpression_in_unaryExpression1059 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_unaryOperator_in_unaryExpression1064 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpression1067 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_NOT_in_unaryOperator1079 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADD_in_unaryOperator1089 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SUB_in_unaryOperator1098 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_unaryExpression_in_multiplicativeExpression1111 = new BitSet(new long[]{0x0000000004300002L});
    public static final BitSet FOLLOW_set_in_multiplicativeExpression1115 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_unaryExpression_in_multiplicativeExpression1130 = new BitSet(new long[]{0x0000000004300002L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression1144 = new BitSet(new long[]{0x00000000000C0002L});
    public static final BitSet FOLLOW_set_in_additiveExpression1148 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression1159 = new BitSet(new long[]{0x00000000000C0002L});
    public static final BitSet FOLLOW_additiveExpression_in_relationalExpression1173 = new BitSet(new long[]{0x0000000000007802L});
    public static final BitSet FOLLOW_set_in_relationalExpression1177 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_additiveExpression_in_relationalExpression1197 = new BitSet(new long[]{0x0000000000007802L});
    public static final BitSet FOLLOW_relationalExpression_in_equalityExpression1211 = new BitSet(new long[]{0x0000000000018002L});
    public static final BitSet FOLLOW_set_in_equalityExpression1215 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_relationalExpression_in_equalityExpression1226 = new BitSet(new long[]{0x0000000000018002L});
    public static final BitSet FOLLOW_equalityExpression_in_logicalANDExpression1240 = new BitSet(new long[]{0x0008000000000002L});
    public static final BitSet FOLLOW_LAND_in_logicalANDExpression1244 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_equalityExpression_in_logicalANDExpression1247 = new BitSet(new long[]{0x0008000000000002L});
    public static final BitSet FOLLOW_logicalANDExpression_in_logicalORExpression1262 = new BitSet(new long[]{0x0010000000000002L});
    public static final BitSet FOLLOW_LOR_in_logicalORExpression1266 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_logicalANDExpression_in_logicalORExpression1269 = new BitSet(new long[]{0x0010000000000002L});
    public static final BitSet FOLLOW_logicalORExpression_in_arithmeticExpression1286 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IF_in_arithmeticExpression1294 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_LPAREN_in_arithmeticExpression1297 = new BitSet(new long[]{0x0007E3FA000C0040L});
    public static final BitSet FOLLOW_logicalORExpression_in_arithmeticExpression1300 = new BitSet(new long[]{0x0000000000000200L});
    public static final BitSet FOLLOW_SEMIC_in_arithmeticExpression1302 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_arithmeticExpression1305 = new BitSet(new long[]{0x0000000000000200L});
    public static final BitSet FOLLOW_SEMIC_in_arithmeticExpression1307 = new BitSet(new long[]{0x0027E3FA000C0040L});
    public static final BitSet FOLLOW_arithmeticExpression_in_arithmeticExpression1310 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_RPAREN_in_arithmeticExpression1312 = new BitSet(new long[]{0x0000000000000002L});

}