/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.unicaen.openmap.layer.chartLayer.chart;

import fr.unicaen.openmap.dataStorage.DataStorageIterator;
import fr.unicaen.openmap.layer.thematicDataDisplayLayer.util.ColorScale;
import java.awt.image.BufferedImage;
import javax.swing.JComponent;
import org.jfree.chart.JFreeChart;

/**
 *
 * @author jchauvea
 */
public abstract class Chart {


    public enum ChartType {

        BAR,
        XY
    }

    protected int nbSeries;
    protected String name;
    protected String xName;
    protected String yName;
    protected String[] categories;
    protected String[] series;
    //protected ColorScale colorScale;

    public Chart(DataStorageIterator dsi,String name, String xName, String yName, String[] categories, String[] series){
        this.name = name;
        this.xName = xName;
        this.yName = yName;
        this.categories = categories;
        this.series = series;
        //this.nbSeries = cs.getColorNumber();
        buildDataSet(dsi);
    }

    protected abstract void buildDataSet(DataStorageIterator dsi);

    public abstract BufferedImage getImage(int w, int h);

    public abstract JFreeChart getJFreeChart();

//    public int getNBTypes(){
//        return typeColunms.length;
//    }

}
