/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.unicaen.openmap.layer.thematicDataDisplayLayer.gui;

import com.bbn.openmap.Environment;
import com.bbn.openmap.omGraphics.OMColorChooser;
import fr.unicaen.openmap.gui.ThemaMapColorChooser;
import java.awt.Color;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;

/**
 *
 * @author jchauvea
 */
public class ColorScaleButton extends JButton implements ActionListener{

    private ColorScalePanel scalePanel;
    private int position;

    public ColorScaleButton(ColorScalePanel scalePanel, int position){
        super();
        this.scalePanel = scalePanel;
        this.position = position;
        setFont(new Font("Arial", Font.PLAIN, 8));
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent evt) {
//        Color newColor =
//                OMColorChooser.showDialog(
//                    this,
//                    Environment.getI18n().get(ColorizerColorScalePanel.class, "colorChooser", "Choose a color..."), getBackground());
	Color newColor = ThemaMapColorChooser.showDialog(
                this,
                Environment.getI18n().get(ColorizerColorScalePanel.class, "colorChooser", "Choose a color..."),
                getBackground());
        if(newColor != null){
                setBackground(newColor);
                scalePanel.updateColorScaleAt(position, newColor);

            }
    }

    public int getPosition(){return position;}

}
